<header class="card-grid__head is-center space--top">
    <h3 class="card-grid__head-title"><span>Order Produk</span></h3>
</header>
<div class="order-form__wrapper space--center">
    <div class="order-form__note">
        <p><span class="danger-color">PENTING!</span> Mohon mengisi informasi Anda di bawah ini dengan teliti dan lengkap agar produk yang Anda beli dapat dikirimkan ke rumah Anda tanpa terkendala.</p>
    </div>
    <div class="order-form">
        {{ if eq $.Site.Data.setting.form "netlify" }}
        <form id="order" class="order" name="Order" method="POST" netlify>
            {{ end }} {{ if eq $.Site.Data.setting.form "formpree" }}
            <form id="order" class="order" action="{{ with $.Site.Data.setting.user }}https://formspree.io/{{ .email }}{{ end }}" name="order" method="POST">
                {{ end }}
                <div class="order-form__group clearfix">
                    <div class="form-group col-1-3">
                        <label class="form-group__label" for="name">Nama Anda<span class="publii_must">*</span></label>
                        <input type="text" class="form-group__input" id="name" name="Nama:" placeholder="Nama Anda" required="">
                        <label class="form-group__label" for="email">Email Anda<span class="publii_must">*</span></label>
                        <input type="email" class="form-group__input" id="email" name="Email:" placeholder="Alamat Email Anda" required="">
                        <label class="form-group__label" for="phone">No HP<span class="publii_must">*</span></label>
                        <input type="tel" class="form-group__input" id="phone" name="Kontak:" placeholder="No HP Anda" required="">
                        <label class="form-group__label" for="name">Provinsi<span class="publii_must">*</span></label>
                        <input type="text" class="form-group__input" id="provinsi" name="Provinsi" placeholder="Provinsi" required="">
                        <label class="form-group__label" for="name">Kota<span class="publii_must">*</span></label>
                        <input type="text" class="form-group__input" id="kota" name="Kota:" placeholder="Kota" required="">
                        <label class="form-group__label" for="name">Kecamatan<span class="publii_must">*</span></label>
                        <input type="text" class="form-group__input" id="kecamatan" name="Kecamatan:" placeholder="Kecamatan" required="">
                        <label class="form-group__label" for="name">Alamat<span class="publii_must">*</span></label>
                        <textarea class="form-group__input" id="alamat" name="Alamat:" rows="3" placeholder="Alamat Lengkap" required=""></textarea>
                        <label class="form-group__label" for="name">Kode POS</label>
                        <input type="text" class="form-group__input" id="kota" name="Kode Pos:" placeholder="Kode POS">
                        <div class="order-form__note">
                            <p><span class="danger-color">*)</span> Kolom harus diisi</p>
                        </div>
                    </div>
                    <div class="form-group col-2-3 item-row">
                        <div class="clearfix">
                            <div class="col-2-3">
                                <label class="form-group__label" for="name">Nama Barang</label>
                                <input type="text" class="form-group__input" id="nameItem" name="Nama Produk:" value="{{ .Title }}" readonly="readonly"> {{ if .Params.sku }}
                                <input type="hidden" class="form-group__input" id="codeItem" name="Kode Produk:" value="{{ .Params.sku | upper }}" readonly="readonly">{{ end }}
                            </div>
                            <div class="col-1-3">
                                {{ if .Params.berat }}
                                <label class="form-group__label" for="name">Berat Barang</label>
                                <div class="input-group">
                                    <div class="input-box">
                                        <input type="text" class="form-group__input" id="weightItem" data-weight="{{ .Params.berat }}" value="0" readonly="readonly">{{ end }}
                                        <span class="input-addon input-addon--right">gram </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="clearfix">
                            <div class="col-1-3">
                                <label class="form-group__label" for="name">Jumlah Barang</label>
                                <div class="input-group">
                                    <div class="input-box">
                                        <button type="button" class="remove_qty input-addon input-addon--left"> - </button>
                                        <input class="form-group__input input_qty" type="text" value="0" id="total-item">
                                        <button type="button" class="add_qty input-addon input-addon--right"> + </button>
                                    </div>
                                </div>
                            </div>
                            {{ if .Params.size }}
                            <div class="col-1-3">
                                <label class="form-group__label" for="name">Ukuran</label>
                                <div class="input-group">
                                    <div class="input-box">
                                        <select class="form-group__input select2-hidden-accessible" id="sizeItem" required="" data-placeholder="Pilih Ukuran" tabindex="1" aria-hidden="true">
                                        {{ range .Params.size }}
                                        <option value="{{ .price }}">{{ .name }}</option>
                                        {{ end }}
                                    </select>
                                    </div>
                                </div>
                            </div>{{ end }}
                            <div class="col-1-3 qty-box">
                                <label class="form-group__label" for="name">Harga</label>
                                <div class="input-group">
                                    <div class="input-box">
                                        <span class="input-addon input-addon--left">Rp. </span>
                                        <input type="text" class="form-group__input" id="priceItem" readonly="readonly">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="clearfix">
                            <div class="col-2-3">
                                <label class="form-group__label label-kec" for="name">Ketik Nama Kecamatan untuk Cek Ongkir<span class="publii_must">#</span></label>
                                <input class="form-group__input awesomplete" type="text" id="kec" />
                            </div>
                            <div class="col-1-3">
                                <label class="form-group__label" for="name">Tarif Ongkir</label>
                                <div class="input-group">
                                    <div class="input-box">
                                        <span class="input-addon input-addon--left">Rp. </span>
                                        <input type="hidden" class="form-group__input" id="ongkir" value="0" readonly="readonly">
                                        <span class="form-group__input" id="price-ongkir"></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="order-form__note ongkir-note">
                            <p><span class="danger-color">(#)</span> Ketik nama kecamatan dengan lengkap disertai tanda koma <span class="danger-color"><b>( , )</b></span> kemudian pastikan nama kabupaten sesuai dengan alamat tujuan Anda => Contoh: Subang, kab. Subang</p>
                        </div>
                        <div class="order-info">
                            <div class="order-info__head">
                                <h4 class="order-info__title is-center">Rincian Order</h4>
                            </div>
                            <div class="order-info__body">
                                <div class="order-info__box order-info__name-item">
                                    <label class="order-info__label" for="name">Nama</label>
                                    <div class="order-info__input">
                                        <span class="order-info__addon-zero"> </span>
                                        <input type="text" class="order-info__input-detail" id="name-item" value="{{ .Title }}" readonly="readonly">
                                    </div>
                                </div>
                                <div class="order-info__box order-info__total-item">
                                    <label class="order-info__label" for="name">Jumlah</label>
                                    <div class="order-info__input">
                                        <span class="order-info__addon-zero"> </span>
                                        <input type="text" class="order-info__input-detail" name="Jumlah:" id="total-items" value="0" readonly="readonly">
                                    </div>
                                </div>
                                <div class="order-info__box order-info__size-item">
                                    <label class="order-info__label" for="name">Size</label>
                                    <div class="order-info__input">
                                        <span class="order-info__addon-zero"> </span>
                                        <input type="text" class="order-info__input-detail" name="Size:" id="size-item" value="0" readonly="readonly">
                                        <input type="hidden" class="order-info__input-detail" name="Harga:" id="price-item" value="0" readonly="readonly">
                                    </div>
                                </div>
                                <div class="order-info__box order-info__subtotal">
                                    <label class="order-info__label" for="name">Subtotal</label>
                                    <div class="order-info__input">
                                        <span class="order-info__addon-zero"></span>
                                        <input type="text" class="order-info__input-detail" name="Subtotal:" id="subtotal" value="0" readonly="readonly">
                                        <input type="hidden" class="order-info__input-detail" name="Cek Ongkir:" id="text-shipping" value="0" readonly="readonly">
                                        <input type="hidden" class="order-info__input-detail" name="Tarif Ongkir:" id="price-shipping" value="0" readonly="readonly">
                                    </div>
                                </div>
                                <div class="order-info__box order-info__total-weight qty-box">
                                    <label class="order-info__label" for="name">Total Berat</label>
                                    <div class="order-info__input">
                                        <span class="order-info__addon-zero"></span>
                                        <input type="text" class="order-info__input-detail" name="Total Berat:" value="0" id="total-weight" readonly="readonly">
                                    </div>
                                </div>
                                <div class="order-info__box order-info__total-shipping">
                                    <label class="order-info__label" for="name">Total Ongkir</label>
                                    <div class="order-info__input">
                                        <span class="order-info__addon-zero"></span>
                                        <input type="text" class="order-info__input-detail" name="Total Ongkir:" id="total-shipping" value="0" readonly="readonly">
                                    </div>
                                </div>
                                <div class="order-info__box order-info__total-cost">
                                    <label class="order-info__label" for="name">Total Bayar</label>
                                    <div class="order-info__input">
                                        <span class="order-info__addon-zero"></span>
                                        <input type="text" class="order-info__input-detail" id="total-cost" name="Total Bayar:" value="0" readonly="readonly">
                                    </div>
                                </div>
                                <div class="order-info__box order-info__note">
                                    <label class="order-info__label" for="name">Keterangan</label>
                                    <div class="order-info__input">
                                        <span class="order-info__addon-zero"></span>
                                        <textarea class="order-info__input-detail" id="alamat" name="Keterangan:" rows="3" placeholder="Tulis keterangan pesanan Anda disini jika diperlukan"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="order-info__checkout space--center">
                            <h3>Total Bayar: <span id="order-cart"></span></h3>
                            <p>Silakan tekan tombol PESAN SEKARANG untuk melanjutkan proses pemesanan barang, kemudian centang pada halaman CAPTCHA untuk verifikasi pemesanan Anda.</p>
                        </div>
                    </div>
                </div>
                <input type="hidden" name="_next" value="/konfirmasi-pembayaran" />
                <div class="tren-button is-center space--center"><button class="button button--big success-bg" type="submit" value="Send">Pesan Sekarang</button></div>
            </form>
    </div>
</div>